API & References
/Receipts
//
Create Receipt
Create a new receipt for a payment.
Called by:
- Invoice Service after payment application
- Payment Widget for payment-only flows
Invoice-Based Receipt: Include invoices array with invoice details.
Payment-Only Receipt: Omit invoices array or pass empty array.
Security
OAuth2
- Mock serverhttps://docs.nelnetpay.com/_mock/apis/receipts-service
- Production serverhttps://api.nelnetpay.com/receipts
- Staging serverhttps://api.uat.nelnetpay.com/receipts
curl -i -X POST \
https://docs.nelnetpay.com/_mock/apis/receipts-service/ \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: 497f6eca-6276-4993-bfeb-53cbbbba6f08' \
-d '{
"personId": "550e8400-e29b-41d4-a716-446655440012",
"payment": {
"paymentId": "pay_abc123",
"transactionId": "txn_xyz789",
"amount": 250,
"paymentMethod": "CARD",
"lastFour": "4242",
"processedAt": "2026-01-20T10:30:00Z"
},
"invoices": [
{
"invoiceId": "550e8400-e29b-41d4-a716-446655440060",
"invoiceNumber": "INV-2026-00001",
"amountApplied": 250
}
],
"sendOptions": {
"send": true
}
}'Response
{ "responseCode": "A100", "responseMessage": "Approved", "responseDetails": null, "object": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "receiptNumber": "string", "entityId": 0, "personId": "f3e5ff26-28ff-4cd6-9b1b-e303a185a13a", "personName": "string", "personEmail": "user@example.com", "status": "CREATED", "payment": { … }, "invoices": [ … ], "sendAttempts": [ … ], "description": "string", "pdfUrl": "http://example.com", "consolidatedTags": { … }, "sentAt": "2019-08-24T14:15:22Z", "version": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }